Keywords
Live SERP results
Retrieve live Google organic SERP results for a keyword. Results are cached for 6 hours.
POST
/
v1
/
keywords
/
serp
Live SERP results
curl --request POST \
--url https://api.example.com/v1/keywords/serp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"depth": 10
}
'import requests
url = "https://api.example.com/v1/keywords/serp"
payload = {
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"depth": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: '<string>', location_code: 123, language_code: '<string>', depth: 10})
};
fetch('https://api.example.com/v1/keywords/serp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"results": [
{
"position": 123,
"url": "<string>",
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"result_type": "organic",
"serp_features": [
"<string>"
],
"breadcrumb": "<string>",
"page": 123,
"rating": 123,
"review_count": 123,
"price": "<string>",
"image_url": "<string>",
"video_id": "<string>",
"duration": "<string>",
"source": "<string>",
"timestamp": "<string>",
"items": [
{}
]
}
],
"total_results": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Project ID for search history
Body
application/json
Request body for live SERP lookup.
Keyword to retrieve SERP results for.
Required string length:
1 - 500DataForSEO location code (e.g. 2840 = United States).
Language code (e.g., 'en', 'de', 'fr').
Maximum string length:
10Number of SERP results to retrieve.
Required range:
1 <= x <= 100⌘I
Live SERP results
